Skip to main content
`Ctrl`+`K`

# PETSCRAND

access to the basic Unix random number generator

## Options Database Key

- -random_type <rand,rand48,sprng> - set the random number generator from the options database

## Note

Not recommended since it can produce different numbers on different systems

## See Also

`PetscRandomCreate()`, `PetscRandomSetType()`, `PETSCRAND48`, `PETSCSPRNG`, `PetscRandomSetFromOptions()`, `PetscRandomType`

## Level

beginner

## Location

src/sys/classes/random/impls/rand/rand.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages